@font-face {
  font-family: "Cairo-Regular";
  src: url("../fonts/Cairo-Regular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

/************************** Variables ****************************/
$bg-color: #F4F4F4;
$main-color: #fcaf01;
$second-color: #fbca01;
$third-color: #21211f;
$red-color: #e74c3c;
@mixin background($opacity) {
  background: rgba(0, 204, 195, $opacity);
}

/****************************************************************/
body, input {
  font-family: 'Cairo-Regular', sans-serif !important;
}

img {
  vertical-align: middle;
}

.img-responsive {
  max-width: 100%;
}

a {
  color: black;
}

i {
  margin-left: 5px;
}

.panel {
  background: #fff;
  .panel-prof {
    background: $third-color;
    padding: 2em 0;
  }
  .panel-img {
    img {
      width: 100px;
    }
  }
  .content-block {
    margin-top: 1em;
  }
  a {
    color: #333;
    padding: 1em;
    border-bottom: 1px solid $bg-color;
    display: block;
    &:last-child {
      border-bottom: none;
    }
    i {
      margin-left: 5px;
      width: 20px;
      text-align: center;
    }
  }
}

.social {
  text-align: center;
  img {
    width: 40px !important;
    margin: 0 0.2em;
    height: initial !important;
    border-radius: initial;
    object-fit: initial;
    object-position: initial;
  }
}

hr {
  border: 1px solid #f4f4f4;
  margin: 1em;
}

label.label-checkbox input[type=checkbox]:checked + .item-media i.icon-form-checkbox, label.label-checkbox input[type=checkbox]:checked ~ .item-after i.icon-form-checkbox, label.label-checkbox input[type=checkbox]:checked ~ .item-inner i.icon-form-checkbox, label.label-checkbox input[type=radio]:checked + .item-media i.icon-form-checkbox, label.label-checkbox input[type=radio]:checked ~ .item-after i.icon-form-checkbox, label.label-checkbox input[type=radio]:checked ~ .item-inner i.icon-form-checkbox {
  border-color: #fcaf01;
  background-color: #fcaf01;
}

label.label-radio input[type=checkbox]:checked + .item-media i.icon-form-radio, label.label-radio input[type=checkbox]:checked ~ .item-after i.icon-form-radio, label.label-radio input[type=checkbox]:checked ~ .item-inner i.icon-form-radio, label.label-radio input[type=radio]:checked + .item-media i.icon-form-radio, label.label-radio input[type=radio]:checked ~ .item-after i.icon-form-radio, label.label-radio input[type=radio]:checked ~ .item-inner i.icon-form-radio {
  border-color: #fcaf01;
}

label.label-radio input[type=checkbox]:checked + .item-media i.icon-form-radio:after, label.label-radio input[type=checkbox]:checked ~ .item-after i.icon-form-radio:after, label.label-radio input[type=checkbox]:checked ~ .item-inner i.icon-form-radio:after, label.label-radio input[type=radio]:checked + .item-media i.icon-form-radio:after, label.label-radio input[type=radio]:checked ~ .item-after i.icon-form-radio:after, label.label-radio input[type=radio]:checked ~ .item-inner i.icon-form-radio:after {
  background-color: #fcaf01;
  -webkit-transform: scale(1);
  transform: scale(1);
}

/*FORM EDITING*/
.list-block {
  margin-top: 5%;
  margin-bottom: 5%;
  padding: 0 3em;
  ul {
    background-color: transparent;
    li {
      padding: .25em 0;
    }
  }
  .item-inner:after, ul:before, ul:after {
    background-color: transparent;
    display: none;
  }
  .item-content {
    background-color: #fff;
    margin: 0;
    border-radius: 18px;
    min-height: initial;
    border: 1px solid #ccc;
    padding-right: 10px;
    &.bg-none {
      background: none;
      border: none;
    }
  }
  .item-label {
    margin-bottom: .5em;
  }
  .item-inner {
    padding: 0;
    margin-right: 0 !important;
    min-height: 36px;
    //height: 36px;
    .label.max-width {
      width: 80%;
    }
  }
  .item-input {
    .label-switch {
      input[type=checkbox]:checked + .checkbox {
        @include background(.5);
        &:after {
          background: $main-color;
        }
      }
    }
  }
  .item-media {
    min-width: 25px;
    margin-left: 10px;
    i {
      display: block;
      margin: auto;
    }
  }
  .item-after {
    margin-left: 0;
    margin-right: 0;
    color: #a6a6a6;
  }
}

.picker-modal .list-block .item-content {
  border: none;
}

.landing {
  background: url("../img/splash.jpg");
  background-size: cover;
  position: fixed;
  z-index: 10;
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  img {
    max-width: 50%;
    max-height: 50%;
  }
}

.content-block {
  margin: 0;
  padding: 0 16px;
}

.floating-button {
  left: 16px;
  right: auto;
  background: $main-color;
  &.second {
    left: 80px;
  }
  &.active-state {
    background: $second-color;
  }
  i {
    font-size: 1.8em;
    margin-left: 0 !important;
  }
}
.panel-overlay {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.2);
  opacity: 1;
  z-index: 5999;
  display: none;
}
.navbar {
  background: $main-color;
  color: #fff;
  .center{
    font-weight: normal !important;
  }
  .list-block {
    margin: 0;
    padding: 0;
    .item-link .item-inner {
      padding-right: 0;
      padding-left: 0;
      background: none;
    }
    .item-content {
      background-color: transparent;
      border: none;
      padding: 0;
    }
    .item-after {
      margin-left: 0;
      margin-right: 0;
      color: #fff !important;
      width: 100% !important;
      max-width: 100% !important;
    }
    .item-media {
      margin-left: 0;
    }
  }
  .navbar-inner.cached {
    display: flex;
  }
  a.link {
    color: white;
    i.icon.icon-back {
      background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg%20xmlns%3D'http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg'%20viewBox%3D'0%200%2012%2020'%3E%3Cpath%20d%3D'M2%2C20l-2-2l8-8L0%2C2l2-2l10%2C10L2%2C20z'%20fill%3D'%23ffffff'%2F%3E%3C%2Fsvg%3E")
    }
  }
  &:after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    right: auto;
    top: auto;
    height: 1px;
    width: 100%;
    background-color: transparent;
    display: block;
    z-index: 15;
    -webkit-transform-origin: 50% 100%;
    transform-origin: 50% 100%;
  }

}

.navbar-fixed .page-content {
  padding-top: 44px;
  padding-bottom: 56px;
}

.popup {
  .navbar{
    .left {
      margin-right: 10px;
    }
  }
  .page-content {
    padding: 2em 1em;
  }
}
.toolbar {
  background: $second-color;
}

.button {
  height: initial;
  min-height: initial;
  line-height: initial;
  padding: 8px;
  margin-top: 1em;
  &.button-fill {
    background-color: $main-color;
    color: $third-color;
  }
  &.button-red {
    background: $red-color;
    color: #fff;
  }
  &.button-rounded {
    border-radius: 18px;
  }
  &.active-state {
    background: $second-color !important;
  }
}

.badge {
  position: absolute;
  left: 30px;
  top: 10px;
}

.logo-cont {
  text-align: center;
  background: $third-color;
  padding: 3em 0;
  img {
    width: 50%;
  }
}

.centered-25 {
  width: 25%;
}

.centered-50 {
  width: 50%;
}

.centered-75 {
  width: 75%;
}

.centered-100 {
  width: 100%;
}

.left-50 {
  width: 50%;
  margin-right: 50%;
}

.m-auto {
  margin-right: auto;
  margin-left: auto;
}

.m-0 {
  margin: 0;
}

.m-t-0 {
  margin-top: 0;
}

.m-t-1 {
  margin-top: 1em;
}

.m-b-0 {
  margin-bottom: 0 !important;
}

.m-b-1 {
  margin-bottom: 1em;
}

.m-l-0 {
  margin-left: 0;
}

.m-l-1 {
  margin-left: 1em;
}

.m-r-0 {
  margin-right: 0;
}

.m-r-1 {
  margin-right: 1em;
}

.p-1 {
  padding: 1em;
}

.b-b-1 {
  border-bottom: 1px solid $bg-color;
}

.text-main {
  color: $main-color;
}

.text-red {
  color: $red-color;
}

.text-muted {
  color: #999;
}

.badge-main {
  background: #00ccc3;
  display: block;
  border-radius: 10px;
  text-align: center;
  padding: 5px;
  color: white;
  margin: auto;
}

.bg-main {
  background-color: $main-color;
}

.bg-light {
  background: $bg-color;
}

.justify-center {
  justify-content: center;
}

.text-center {
  text-align: center;
}

.text-left {
  text-align: left;
}

.text-right {
  text-align: right;
}

.color-main {
  color: $main-color;
}

.alert {
  padding: 1em;
  margin: .5em 0;
  border: 1px solid transparent;
  border-radius: 5px;
}

.alert-warning {
  color: #8a6d3b;
  background-color: #fcf8e3;
  border-color: #faebcc;
}

.alert-info {
  color: #31708f;
  background-color: #d9edf7;
  border-color: #bce8f1;
}

.rate {
  margin: 0.5em 0 0.2em !important;
  .ngrateit-bg-star {
    background-image: url(../img/bg-star-dark.svg);
    float: right;
  }
  .ngrateit-selected {
    background-image: url(../img/rated-star.svg);
  }
  .ngrateit:not(.ngrateit-readonly) .ngrateit-rating span:hover ~ span {
    background-image: url(../img/rated-star.svg);
  }
  .ngrateit:not(.ngrateit-readonly) .ngrateit-rating:hover span {
    cursor: pointer;
    background-image: url(../img/rated-star.svg);
  }
}

.bigstar.ngrateit .ngrateit-star {
  background-size: 32px;
}

.page {
  background: $bg-color;
  &[data-page="index"],
  &[data-page="chooseAccount"] {
    .logo-cont {
      text-align: center;
      background: $third-color;
      padding: 0;
      display: flex;
      align-items: center;
      min-height: 50vh;
      img {
        width: 50%;
        margin: auto;
      }
    }
    .actions {
      margin-top: 3em;
    }
  }
  &[data-page="index"],
  &[data-page="chooseAccount"],
  &[data-page="login"],
  &[data-page="loginUser"],
  &[data-page="forgetPassword"],
  &[data-page="verifyCode"],
  &[data-page="verifyCodeUser"],
  &[data-page="verifyCodeDelegate"],
  &[data-page="resetPassword"],
  &[data-page="changePassword"],
  &[data-page="userSignup"],
  &[data-page="delegateSignup"],
  &[data-page="delegateSignupStart"],
  &[data-page="nextDelegateSignup"] {
    .page-content {
      padding-top: 0;
      padding-bottom: 4em;
      .list-block {
        .row {
          .col-60 {
            .button {
              margin: 0;
              &:first-child {
                margin-bottom: 1em;
              }
            }
          }
        }
        .item-after {
          max-width: 100%;
        }
      }
      .profile-img {
        position: relative;
        overflow: hidden;
        border-radius: 10px;
        .picOption {
          position: absolute;
          background: rgba(0, 0, 0, 0.2);
          width: 100%;
          height: 100%;
          i {
            font-size: 2em;
            display: block;
            text-align: center;
            line-height: 100px;
            &.ion-android-upload {
              color: $main-color;
            }
            &.ion-android-delete {
              color: $red-color;
            }
          }
        }
        img {
          width: 100%;
          height: 100px;
          object-fit: cover;
          object-position: center;
          border-radius: 10px;
        }
      }
      .button {
        i {
          margin: 0 5px;
        }
      }
    }
  }

  &[data-page="editDelegateProfile"] {
    .page-content {
      .itemContent {
        .editImg {
          margin: 0 2em 0;
        }
      }
      .profile-img {
        position: relative;
        overflow: hidden;
        border-radius: 10px;
        .picOption {
          position: absolute;
          background: rgba(0, 0, 0, 0.2);
          width: 100%;
          height: 100%;
          i {
            font-size: 2em;
            display: block;
            text-align: center;
            line-height: 100px;
            &.ion-android-upload {
              color: $main-color;
            }
            &.ion-android-delete {
              color: $red-color;
            }
          }
        }
        img {
          width: 100%;
          height: calc(30vw - 2em);
          object-fit: cover;
          object-position: center;
          border-radius: 10px;
        }
      }
      .list-block {
        padding: 0 1em;
        margin-top: 0;
      }
      .button {
        i {
          margin-left: 5px;
        }
      }
      h3 {
        margin-bottom: 0;
        i {
          margin-left: 5px;
        }
      }
    }
  }
  &[data-page="editUserProfile"] {
    .page-content {
      .itemContent {
        .editImg {
          margin: 0 2em 0;
        }
      }
      .profile-img {
        position: relative;
        overflow: hidden;
        border-radius: 10px;
        width: 100px;
        margin: 2em auto 0;
        .picOption {
          position: absolute;
          background: rgba(0, 0, 0, 0.2);
          width: 100%;
          height: 100%;
          i {
            font-size: 2em;
            display: block;
            text-align: center;
            line-height: 100px;
            &.ion-android-upload {
              color: $main-color;
            }
            &.ion-android-delete {
              color: $red-color;
            }
          }
        }
        img {
          width: 100%;
          height: calc(30vw - 2em);
          object-fit: cover;
          object-position: center;
          border-radius: 10px;
        }
      }
      .list-block {
        padding: 0 1em;
        margin-top: 0;
      }
      .button {
        i {
          margin-left: 5px;
        }
      }
      h3 {
        margin-bottom: 0;
        i {
          margin-left: 5px;
        }
      }
    }
  }

  &[data-page="home"],
  &[data-page="mainCategory"],
  &[data-page="subCategory"],
  &[data-page="delegates"],
  &[data-page="delegateDetails"],
  &[data-page="userProfile"],
  &[data-page="delegateProfile"],
  &[data-page="about"],
  &[data-page="contact"],
  &[data-page="report"],
  &[data-page="rate"],
  &[data-page="notification"],
  &[data-page="apps"] {
    .page-content {
      .card {
        margin: 10px 0;
        box-shadow: none;
        padding: 1em;
        border-radius: 10px;
        overflow: hidden;
        .row {
          display: flex;
          align-items: center;
          .ngrateit {
            display: inline-block;
            margin-right: 1em;
            position: relative;
            top: 2px;
          }
        }
        img {
          width: 100%;
          height: calc(30vw - 2em);
          border-radius: 10px;
          object-fit: contain;
          object-position: center;
        }
        h3 {
          margin: 0 0 0.5em;
          font-weight: bold;
        }
        h4 {
          margin: 0;
          font-weight: normal;
          span {
            color: $main-color;
            margin-left: 5px;
          }
        }
        i {
          margin-left: 5px;
        }
      }
      .profile-img {
        img {
          width: 100%;
          height: calc(30vw - 2em);
          object-fit: cover;
          object-position: center;
          border-radius: 10px;
          margin-bottom: 1em;
        }
      }
      .info {
        margin: 2em;
        p {
          margin: 1em 0;
          i {
            width: 20px;
            text-align: center;
            margin-left: 5px;
          }
        }
      }
      .button {
        color: #fff;
        i {
          margin-left: 5px;
        }
      }
      .social {
        margin-bottom: 1em;
      }
    }
  }

  &[data-page="home"] {
    .page-content {
      padding-top: 104px;
    }
    .tabbar a.tab-link {
      color: rgba(255, 255, 255, 0.5);
      &.active {
        color: #fff;
        font-weight: bold;
      }
    }
  }
  &[data-page="userProfile"],
  &[data-page="delegateProfile"] {
    .page-content {
      h3 {
        i {
          margin-left: 5px;
        }
      }
      .card {
        padding-top: 0;
        padding-bottom: 0;
        .list-block {
          padding: 0;
          margin: 0.5em 0;
          .item-content {
            border: none;
          }
          li {
            padding: 0.5em 0;
          }
        }
        .accordion-item-content {
          padding-right: 1.5em;
        }
        &.description {
          text-align: justify;
        }
      }
    }
  }
  &[data-page="userProfile"] {
    .page-content .profile-img img {
      width: 100px;
    }
  }
  &[data-page="rate"],
  &[data-page="notification"] {
    .page-content {

      .card {
        border: none;
        margin: 1em;
        .ngrateit {
          margin-right: 0 !important;
        }
        img {
          height: calc(20vw - 2em);
        }
      }
      .list-block {
        margin: 0;
        padding: 0 2em;
        i {
          margin-left: 5px;
        }
        .item-content {
          background: transparent;
          min-height: initial;
          padding: 0;
          border: none;
          margin-bottom: 0.5em;
          &:first-child {
            line-height: 1em;
            font-weight: bold;
            .col-15 {
              color: #46BF55;
            }
          }
          &:nth-of-type(2) {
            line-height: 1em;
            font-weight: bold;
            .col-15 {
              color: #95ED87;
            }
          }
          &:nth-of-type(3) {
            line-height: 1em;
            font-weight: bold;
            .col-15 {
              color: #FAA605;
            }
          }
          &:nth-of-type(4) {
            line-height: 1em;
            font-weight: bold;
            .col-15 {
              color: #FFC201;
            }
          }
          &:nth-of-type(5) {
            line-height: 1em;
            font-weight: bold;
            .col-15 {
              color: #FF6565;
            }
          }
        }
        .item-inner {
          min-height: initial;
        }
      }
      .finalRate {
        padding: 2em 2em;
        line-height: 3em;
        .rate {
          text-align: left;
        }
        h1 {
          font-size: 4em;
          color: #6b6b6b;
          margin: 0;
          font-weight: bold;
        }
        .jk-rating-stars-container .star-button .material-icons {
          color: #6b6b6b;
          font-size: 2.5em;
        }
      }
      .rangeRate {
        .row {
          width: 100%;
        }
        .progressbar {
          height: 20px;
          border-radius: 3px;
          p {
            margin: 0;
            z-index: 99999;
            position: relative;
            color: #fff;
            font-size: 14px;
            padding-right: 1em;
          }
          span {
            right: 0;
            left: auto;
          }
          &.bg-green, &.color-green {
            background-color: #8BE291;
            span {
              background-color: #46BF55;
            }
          }
          &.bg-lightgreen, &.color-lightgreen {
            background-color: #C8FFBE;
            span {
              background-color: #95ED87;
            }
          }
          &.bg-orange, &.color-orange {
            background-color: #FFCF85;
            span {
              background-color: #FAA605;
            }
          }
          &.bg-yellow, &.color-yellow {
            background-color: #FFDF92;
            span {
              background-color: #FFC201;
            }
          }
          &.bg-red, &.color-red {
            background-color: #FF9997;
            span {
              background-color: #FF6565;
            }
          }
        }
      }
      p {
        margin: 0;
        &.time {
          margin-right: 1em;
          margin-top: 1em;
          margin-bottom: 0.5em;
        }
      }
      span {
        font-size: 10px;
        color: #ccc;
      }

    }
  }
  &[data-page="apps"] {
    .page-content {
      .card {
        margin-top: 0;
        text-align: center;
        p {
          margin: 0;
        }
        img {
          width: 100%;
          height: initial;
          border-radius: 10px;
          object-fit: cover;
          object-position: center;
        }
      }
    }
  }
  &[data-page="delegateDetails"] {
    .content-block {
      margin-top: -2em;
      p {
        margin: 0;
        text-align: justify;
      }
      .services {
        .row {
          margin-top: 1em;
          img {
            height: calc(20vw - 2em) !important;
          }
        }
      }
      .contact {
        text-align: center;
        h3 {
          margin-bottom: 0;
        }
      }
      .socialNetwork {
        text-align: center;
        padding: 0 2em;
        i {
          font-size: 3em;
          &.ion-social-facebook {
            color: #3b5999;
          }
          &.ion-social-googleplus {
            color: #dd4b39;
          }
          &.ion-social-instagram {
            color: #e4405f;
          }
          &.ion-social-twitter {
            color: #55acee;
          }
        }
      }
      .rateUser {
        .rate {
          margin: 0 !important;
        }
      }
    }
    .head {
      background: $main-color;
      text-align: center;
      padding: 2em 0 4em;
      img {
        width: 100px;
        height: 100px;
        border-radius: 10px;
        margin: auto;
        border: 2px solid #fff;
      }
    }
  }
  &.smart-select-page {
    .navbar {
      .center {
        right: 35%;
        display: none;
      }
    }
    input[type="radio"]:checked + .item-inner {
      opacity: .5;
    }
    .list-block {
      padding: 0;
      .item-content {
        background: none;
        border: none;
      }
    }
  }
}
.list-block .item-link.active-state, html:not(.watch-active-state) .list-block .item-link:active {
  -webkit-transition-duration: 0s;
  transition-duration: 0s;
  background-color: transparent;
}
.addRate {
  color: #2ecc71;
  border-right: 3px solid #2ecc71 !important;
}

.hint {
  color: $main-color;
  border-right: 3px solid $main-color !important;
}

.remove {
  color: #e74c3c;
  border-right: 3px solid #e74c3c !important;
}

.noResult {
  .page-content {
    display: flex;
    align-items: center;
  }
  .content-block {
    text-align: center;
    width: 100%;
    p {
      font-weight: bold;
    }
  }
}
@media (max-width: 1024px) {
  div[data-page="home"], div[data-page="delegates"],[data-page="mainCategory"],  [data-page="subCategory"] {
    .row {
      a {
        width: 32%;
        .card {
          img {
            height: calc(10vw - 2.5em) !important;
          }
        }
      }
    }
  }
  div[data-page="delegateDetails"] {
    .content-block{
      .services{
        .row {
          .row {
            width: 32%;
            img {
              height: calc(10vw - 3.5em) !important;
            }
          }
        }
      }
    }
  }

  .socialNetwork {
    i {
      font-size: 2em !important;
    }
  }
}

@media (max-width: 460px){
  div[data-page="home"], div[data-page="delegates"],[data-page="mainCategory"],  [data-page="subCategory"] {
    .row {
      a {
        width: 100%;
        .card {
          img {
            height: calc(30vw - 2em) !important;
          }
        }
      }
    }
  }
  div[data-page="delegateDetails"] {
    .content-block{
      .services{
        .row {
          .row {
            width: 100%;
            img {
              height: calc(20vw - 2em) !important;
            }
          }
        }
      }
    }
  }
}

@media (max-width: 370px) {
  .list-block {
    padding: 0 2em;
  }

  .socialNetwork {
    i {
      font-size: 2em !important;
    }
  }
}
